export type NumberOfRowsClasses = {
    [key: number]: string;
};
export type CompListItem = {
    value: string;
    label?: string;
};
export declare const CompListSize: {
    readonly S: "s";
    readonly M: "m";
};
export type CompListSize = (typeof CompListSize)[keyof typeof CompListSize];
export declare const CompListVariant: {
    readonly Ordered: "ordered";
    readonly Unordered: "unordered";
    readonly Label: "label";
};
export type CompListVariant = (typeof CompListVariant)[keyof typeof CompListVariant];
export declare const CompListGlyph: {
    readonly None: "";
    readonly Icon: "icon";
    readonly Dot: "dot";
    readonly Square: "square";
    readonly Dash: "dash";
};
export type CompListGlyph = (typeof CompListGlyph)[keyof typeof CompListGlyph];
export declare const CompListGapSize: {
    readonly S: "s";
    readonly M: "m";
};
export type CompListGapSize = (typeof CompListGapSize)[keyof typeof CompListGapSize];
export type CompListProps = {
    size?: CompListSize;
    variant?: CompListVariant;
    glyph?: CompListGlyph;
    glyphName?: string;
    items: CompListItem[];
    line?: boolean;
    wrap?: boolean;
    gapSize?: CompListGapSize;
};
