import { AnimationType } from "@/utils/common/type/common.type";
type AnimationPrefix<T> = T extends string ? `overlay-${T}` : T;
export declare const CompOverlayVariant: {
    readonly Black: "black";
    readonly White: "white";
    readonly Grey: "grey";
};
export type CompOverlayVariant = (typeof CompOverlayVariant)[keyof typeof CompOverlayVariant];
export declare const CompOverlayTransparencyMode: {
    readonly Opaque: "opaque";
    readonly Linear: "linear";
};
export type CompOverlayTransparencyMode = (typeof CompOverlayTransparencyMode)[keyof typeof CompOverlayTransparencyMode];
export declare const CompOverlayButtonType: {
    readonly Default: "default";
    readonly Rounded: "rounded";
};
export type CompOverlayButtonType = (typeof CompOverlayButtonType)[keyof typeof CompOverlayButtonType];
export type AnimationName = AnimationPrefix<AnimationType>;
export type CompOverlayProps = {
    open?: boolean;
    blur?: boolean;
    variant?: CompOverlayVariant;
    transparencyMode?: CompOverlayTransparencyMode;
    centerContent?: boolean;
    isLightbox?: boolean;
    isFixed?: boolean;
    closeOnButton?: boolean;
    buttonType?: CompOverlayButtonType;
    closeOnClickOutside?: boolean;
    animation?: AnimationType;
};
export {};
